glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# Glib::Value_Boxed< T > Class Template Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value_Boxed< T >:
[legend]

List of all members.

## Public Types
typedef T | CppType
typedef T::BaseObjectType* | CType
## Public Member Functions
void | set (const CppType& data)
CppType | get () const
## Static Public Member Functions
static GType | value_type ()

### template <class T>
class Glib::Value_Boxed< T >

## Member Typedef Documentation

template <class T >

typedef T Glib::Value_Boxed< T >::CppType

template <class T >

typedef T::BaseObjectType* Glib::Value_Boxed< T >::CType

## Member Function Documentation

template <class T >

CppType Glib::Value_Boxed< T >::get | ( |  | ) | const`[inline]`

template <class T >

void Glib::Value_Boxed< T >::set | ( | const CppType& | data | ) | `[inline]`

template <class T >

static GType Glib::Value_Boxed< T >::value_type | ( |  | ) | `[inline, static]`

Reimplemented from Glib::ValueBase_Boxed.